Join a team
curl --request POST \
--url https://www.fundor.io/api/v1/teams/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "5d1c…",
"teamCode": "ABC123"
}
'import requests
url = "https://www.fundor.io/api/v1/teams/join"
payload = {
"userId": "5d1c…",
"teamCode": "ABC123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '5d1c…', teamCode: 'ABC123'})
};
fetch('https://www.fundor.io/api/v1/teams/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.fundor.io/api/v1/teams/join",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => '5d1c…',
'teamCode' => 'ABC123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.fundor.io/api/v1/teams/join"
payload := strings.NewReader("{\n \"userId\": \"5d1c…\",\n \"teamCode\": \"ABC123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.fundor.io/api/v1/teams/join")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"5d1c…\",\n \"teamCode\": \"ABC123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.fundor.io/api/v1/teams/join")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"5d1c…\",\n \"teamCode\": \"ABC123\"\n}"
response = http.request(request)
puts response.read_body{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberType": "athlete",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamMemberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referralLink": {
"url": "<string>",
"qrCodeSvg": "<string>",
"qrCodeDataUrl": "<string>"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}Teams
Join a team
Send exactly one of teamCode (joins as an athlete) or coachCode (joins as a coach). A team code can never make someone a coach. Requires the teams scope.
POST
/
teams
/
join
Join a team
curl --request POST \
--url https://www.fundor.io/api/v1/teams/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "5d1c…",
"teamCode": "ABC123"
}
'import requests
url = "https://www.fundor.io/api/v1/teams/join"
payload = {
"userId": "5d1c…",
"teamCode": "ABC123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '5d1c…', teamCode: 'ABC123'})
};
fetch('https://www.fundor.io/api/v1/teams/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.fundor.io/api/v1/teams/join",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => '5d1c…',
'teamCode' => 'ABC123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.fundor.io/api/v1/teams/join"
payload := strings.NewReader("{\n \"userId\": \"5d1c…\",\n \"teamCode\": \"ABC123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.fundor.io/api/v1/teams/join")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"5d1c…\",\n \"teamCode\": \"ABC123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.fundor.io/api/v1/teams/join")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"5d1c…\",\n \"teamCode\": \"ABC123\"\n}"
response = http.request(request)
puts response.read_body{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberType": "athlete",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamMemberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referralLink": {
"url": "<string>",
"qrCodeSvg": "<string>",
"qrCodeDataUrl": "<string>"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}{
"error": {
"code": "consent_required",
"message": "consent.ip is required. Fundor will reject the lead without it.",
"field": "consent.ip"
}
}Authorizations
Your partner API key, sent as Authorization: Bearer fnd_live_…. Keys are issued by Fundor on request. Keep them on your server; never ship one in a mobile or browser app.